Bug 205122 - www/py-seafdav: Updated to 5.1.5
Summary: www/py-seafdav: Updated to 5.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: easy, patch, patch-ready
Depends on: 205669
Blocks: 203929
  Show dependency treegraph
 
Reported: 2015-12-08 04:13 UTC by Ultima
Modified: 2016-05-26 13:19 UTC (History)
1 user (show)

See Also:
Ultima1252: maintainer-feedback+


Attachments
py-seafdav.diff (1.38 KB, patch)
2015-12-08 04:13 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
py-seafdav.diff (597 bytes, patch)
2015-12-29 07:10 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafdav.diff (1.86 KB, patch)
2016-04-16 22:52 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafdav.diff (2.47 KB, patch)
2016-04-22 17:35 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafdav.diff (2.47 KB, patch)
2016-04-26 14:44 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafdav.diff (2.47 KB, patch)
2016-05-14 17:12 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafdav.diff (2.50 KB, patch)
2016-05-25 03:37 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2015-12-08 04:13:14 UTC
Created attachment 163970 [details]
py-seafdav.diff

This patch will clean up some unused variables and remove the uid/gid. The new uid/gid will be seafile and the seafile port will set it.

This patch  needs to be pushed with PR 203929 203930 203933 203934 and py-seafobj, which will be posted shortly after this one.


* Clean up unused variables
* Removed uid/gid on directory


portlint -A:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.

Both false positives

poudriere bulk -t -C:
builds fine in 102amd64, 102i386, 93amd64, 93i386
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-08 04:19:34 UTC
@Ultima, For these kinds of complex relation / multiple issue changes, it can be quite a lot easier to create a meta issue as the parent, with all the subordinate changes as dependencies. Don't worry about it for now, but just a heads-up if many updates are related in the future.

That way the issue heirarchy is much clearer, especially if there's no "compulsory" commit order, but its good if all are committed at the same time.

Once you're complete adding all the issues, please ensure that "all" blocks/depends on fields contain absolutely correct values (in terms of what needs committing first / before other things)

Also set maintainer-approval to + for all changes you create for ports you are maintainer of.
Comment 2 Ultima 2015-12-29 07:10:34 UTC
Created attachment 164807 [details]
py-seafdav.diff
Comment 3 Ultima 2016-04-16 22:52:31 UTC
Created attachment 169385 [details]
seafdav.diff

* Updated to 5.1.1
Comment 4 Dmitry Marakasov freebsd_committer 2016-04-22 17:27:42 UTC
USERS/GROUPS needed. Passing back to miwi as I'm going on vacation till May 10th.
Comment 5 Ultima 2016-04-22 17:35:38 UTC
Created attachment 169571 [details]
seafdav.diff

* Updated to 5.1.2
* Added USERS/GROUPS
Comment 6 Ultima 2016-04-26 14:44:29 UTC
Created attachment 169719 [details]
seafdav.diff

* Update to 5.1.3
Comment 7 Ultima 2016-05-14 17:12:44 UTC
Created attachment 170281 [details]
seafdav.diff

* Updated to 5.1.4

portlint -AC: WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere bulk -tC:
11amd64: Ok
11i386: Ok
103amd64: Ok
103i386: Ok
93amd64: Ok
93i386: Ok
Comment 8 Ultima 2016-05-25 03:37:58 UTC
Created attachment 170643 [details]
seafdav.diff

* Updated to 5.1.5

portlint -AC:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
11amd64: success
11i386: success
102amd64: success
102i386: success
93amd64: success
93i386: success
Comment 9 Dmitry Marakasov freebsd_committer 2016-05-26 10:28:43 UTC
Committer timeout
Comment 10 commit-hook freebsd_committer 2016-05-26 13:19:04 UTC
A commit references this bug:

Author: amdmi3
Date: Thu May 26 13:18:17 UTC 2016
New revision: 415893
URL: https://svnweb.freebsd.org/changeset/ports/415893

Log:
  - Update to 5.1.5
  - Switch to seafile user

  PR:		205122
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/www/py-seafdav/Makefile
  head/www/py-seafdav/distinfo
  head/www/py-seafdav/pkg-plist